/*#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <errno.h>
#include "replace.h"

enum {
	NONE,
	QUOTE
};

typedef {
	char **argv;
	size_t argc;

	int stdin;
	int stdout;
	int stderr;
};

char **parse(char **str, size_t *size) {
	size_t count = 1;
	char *p = *str;

	while (*p) {
		if (*p == ' ')
			count++;

		p++;
	}

	char **tok = malloc((count + 1) * sizeof(char *));
	if (tok == NULL) {
		fprintf(stderr, "sh: malloc: %s\n", strerror(errno));
		return NULL;
	}

	*size = 0;
	p = strtok(*str, " \t\n\r\a");
	while (p != NULL) {
		tok[*size] = strdup(p);
		(*size)++;

		p = strtok(NULL, " \t\n\r\a");
	}

	tok[*size] = NULL;
	return tok;
}

int main(int argc, char **argv) {
	int opt;
	while ((opt = getopt(argc, argv, "l")) != -1) {
		switch (opt) {
			case 'l':
				break;

			default:
				puts("sh [l]\n\t-l Login");
				break;
		}
	}

	int ret = 1;

	char *string = NULL;
	size_t n = 0;
	ssize_t bytes = 0;

	while ((bytes = getline(&string, &n, stdin)) > 0) {
		size_t size = 0;
		char **tok = parse(&string, &size);

		for (size_t i = 0; i < size; i++)
			puts(tok[i]);

		clear_parser(tok);
	}

	ret = 0;

CLOSE:
	if (string)
		free(string);

	return ret;
}
*/
